Package com.ocient.jdbc

# Enum Class SyncRowCursor.CursorMode

java.lang.Object
java.lang.Enum<SyncRowCursor.CursorMode>
com.ocient.jdbc.SyncRowCursor.CursorMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SyncRowCursor.CursorMode>`, `Constable`

Enclosing class:
  `SyncRowCursor`

public static enum SyncRowCursor.CursorMode extends Enum<SyncRowCursor.CursorMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADVANCE`
Return the next element and advance the cursor
`PEEK`
Return the next element but does not advance the cursor

## Method Summary

Modifier and Type
Method
Description
`static SyncRowCursor.CursorMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SyncRowCursor.CursorMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PEEK

public static final SyncRowCursor.CursorMode PEEK
Return the next element but does not advance the cursor

### ADVANCE

public static final SyncRowCursor.CursorMode ADVANCE
Return the next element and advance the cursor

## Method Details

### values

public static SyncRowCursor.CursorMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SyncRowCursor.CursorMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null